package ema.tpjee.banking.dao;

import java.util.List;

import javax.ejb.Remote;

import ema.tpjee.banking.model.Bank;
import ema.tpjee.banking.model.Customer;


@Remote
public interface CustomerDao {
	public static final boolean IS_EJB = true; //il faudrait utiliser l'introspection pour dtecter l'ejb
	public List<Customer> getList(Bank b);
	public List<Customer> getList();
	public Customer add(Customer c);
	public Customer find(int id);
	public Customer delete(Customer c);
	public Customer clone(Customer c);
	public Customer clone(Bank b,Customer c);
	public Customer first(Bank b);
	public Customer last(Bank b);
	public Customer prior(Bank b,Customer c);
	public Customer next(Bank b,Customer c);
	public Customer create(Bank b);
	public Customer merge(Customer c);
	public Customer foobar(Bank b,Customer c);
	public Customer createRandom(Bank b);
	public Customer find(Bank b, int id);
	public Customer delete(Bank b, Customer c);
	public Customer merge(Bank currentBank, Customer currentCustomer);
	public List<Customer> populate(Bank b);
}
